This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.5. __nv_acoshf

Prototype:

    float @__nv_acoshf(float %x)

Description:

Calculate the nonnegative arc hyperbolic cosine of the input argument `x`.

Returns:

Result will be in the interval [0, + ∞ ].

- __nv_acoshf(1) returns 0.

- __nv_acoshf(`x`) returns NaN for `x` in the interval [ − ∞ , 1).

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes